Bug 962259 - hypervisor failover caused virtual machine hang when turning hyperthreading on
hypervisor failover caused virtual machine hang when turning hyperthreading on
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 22:37 EDT by Geng Sheng Liu
Modified: 2014-08-24 20:48 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-15 12:12:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geng Sheng Liu 2013-05-12 22:37:08 EDT
Description of problem:

In RHEVM, two hypervisors A,B are in the failover domain with  hyperthreading on, if hypervisor A is down, the virtual machine on A would be relocate to B, and this relocation would cause all virtual machine on B get stuck.


Version-Release number of selected component (if applicable):

RHEV-hypervisor 6.x

How reproducible:


Steps to Reproduce:
1. Setup rhevm, 2 rhev-hypervisor and  2 rhev-hypervisor are in the cluster with failover.

2. On 2 hypervisors, turn hyperthreading on,

3. Shutdown one of the hypervisor.

4. Virtual machines are relocated which causes virtual machine on the other hypervisor hang.
  
Actual results:

virtual machine on the other hypervisor hang.

Expected results:

virtual machines are relocated smoothly.

Additional info:
Comment 2 Qunfang Zhang 2013-05-13 06:41:40 EDT
Hi, Geng Sheng

Could you help provide more detail information?
(1) What is the kernel and qemu-kvm version for the two host? 
(2) What is the rhevm, vdsm, libvirt version? 
(3) So the hyperthreading is off originally?
(4) What is your command to turn on the hyperthreading? 
(5) What is the qemu command line? (ps ax | grep qemu)


Thanks,
Qunfang
Comment 3 Laszlo Ersek 2013-07-15 12:12:53 EDT
Last update to Customer Portal case: May 24, 2013
Status of Customer Portal case: Closed

Closing as INSU.

Note You need to log in before you can comment on or make changes to this bug.